%global __requires_exclude typelib\\(Unity\\)

Name:           autokey
Version:        0.96.0
Release:        %mkrel 2
Summary:        Desktop automation utility


Group:          Graphical desktop/Other
License:        GPLv3
URL:            https://github.com/autokey/autokey
Source0:        https://github.com/autokey/autokey/archive/v%{version}/%{name}-%{version}.tar.xz


BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-xlib
BuildRequires:  python3-pyinotify
BuildRequires:  python3-dbus
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt5-devel
BuildRequires:  python3-qt5-qscintilla

Requires:       python3-pyinotify
Requires:       python3-packaging
Provides:       autokey = %{version}-%{release}
Provides:       autokey-common = %{version}-%{release}
Provides:       autokey-gtk = %{version}-%{release}


%description
AutoKey is a desktop automation utility for Linux and X11. It allows
the automation of virtually any task by responding to typed abbreviations
and hot keys. It offers a full-featured GUI that makes it highly
accessible for novices, as well as a scripting interface offering
the full flexibility and power of the Python language.

%package common
Summary:        Desktop automation utility - common data
Group:          Graphical desktop/Other
Requires:       python3-dbus
Requires:       python3-pyinotify
Requires:       python3-xlib
Requires:       python3-packaging
Requires:       wmctrl
Provides:       autokey = %{version}-%{release}


%description common
This package contains the common data shared between the various front ends.


%package gtk
Summary:        AutoKey GTK+ front end
Group:          Graphical desktop/Other
Requires:       python3-gobject3
Requires:       zenity
Requires:       autokey-common = %{version}-%{release}
Provides:       autokey = %{version}-%{release}

%description gtk
This package contains the GTK+ front end for autokey.


%package qt
Summary:        AutoKey Qt front end
Group:          Graphical desktop/Other
Requires:       python3-qt5
Requires:       python3-qt5-qscintilla
Requires:       autokey-common = %{version}-%{release}
Provides:       autokey = %{version}-%{release}

%description qt
This package contains the Qt front end for autokey.


%prep
%setup -q


%build
%py3_build


%install
%py3_install

# remove shebang from python libraries
for lib in $(find %{buildroot}%{python3_sitelib}/autokey/ -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# ensure pkg_resources is able to find the required python packages
sed -i 's/python3-xlib/python-xlib/' %{buildroot}%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/requires.txt

desktop-file-install --vendor="" \
 --add-category='X-MandrivaLinux-MoreApplications' \
 %{buildroot}%{_datadir}/applications/*.desktop


%files common
%doc ACKNOWLEDGMENTS README.rst new_features.rst CHANGELOG.rst
%{_datadir}/icons/hicolor/scalable/apps/autokey-status*.svg
%{_datadir}/icons/hicolor/*/apps/autokey.png
%{_datadir}/icons/hicolor/scalable/apps/autokey.svg
%{_datadir}/icons/ubuntu-mono-dark/apps/*
%{_datadir}/icons/ubuntu-mono-light/apps/*
%{_datadir}/icons/Humanity/scalable/apps/*.svg
%{_bindir}/autokey-run
%{_bindir}/autokey-shell
%{_mandir}/man1/autokey-run.1*
%{_prefix}/lib/python3.10/site-packages/autokey-0.96.0-py3.10.egg-info/PKG-INFO
%{_prefix}/lib/python3.10/site-packages/autokey-0.96.0-py3.10.egg-info/SOURCES.txt
%{_prefix}/lib/python3.10/site-packages/autokey-0.96.0-py3.10.egg-info/dependency_links.txt
%{_prefix}/lib/python3.10/site-packages/autokey-0.96.0-py3.10.egg-info/entry_points.txt
%{_prefix}/lib/python3.10/site-packages/autokey-0.96.0-py3.10.egg-info/requires.txt
%{_prefix}/lib/python3.10/site-packages/autokey-0.96.0-py3.10.egg-info/top_level.txt
%{_prefix}/lib/python3.10/site-packages/autokey/UI_common_functions.py
%{_prefix}/lib/python3.10/site-packages/autokey/__init__.py
%{_prefix}/lib/python3.10/site-packages/autokey/argument_parser.py
%{_prefix}/lib/python3.10/site-packages/autokey/common.py
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/__init__.py
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/autostart.py
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/configmanager.py
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/configmanager_constants.py
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/predefined_user_files.py
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/predefined_user_scripts/_README.txt
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/predefined_user_scripts/create_phrase_from_selection.pyi
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/predefined_user_scripts/display_window_info.pyi
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/predefined_user_scripts/insert_date.pyi
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/predefined_user_scripts/list_menu.pyi
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/predefined_user_scripts/new_abbreviation_from_selection.pyi
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/predefined_user_scripts/selection_test.pyi
%{_prefix}/lib/python3.10/site-packages/autokey/configmanager/version_upgrading.py
%{_prefix}/lib/python3.10/site-packages/autokey/dbus_service.py
%{_prefix}/lib/python3.10/site-packages/autokey/interface.py
%{_prefix}/lib/python3.10/site-packages/autokey/iomediator/__init__.py
%{_prefix}/lib/python3.10/site-packages/autokey/iomediator/constants.py
%{_prefix}/lib/python3.10/site-packages/autokey/iomediator/iomediator.py
%{_prefix}/lib/python3.10/site-packages/autokey/iomediator/keygrabber.py
%{_prefix}/lib/python3.10/site-packages/autokey/iomediator/waiter.py
%{_prefix}/lib/python3.10/site-packages/autokey/iomediator/windowgrabber.py
%{_prefix}/lib/python3.10/site-packages/autokey/logger.py
%{_prefix}/lib/python3.10/site-packages/autokey/macro.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/__init__.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/abstract_abbreviation.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/abstract_hotkey.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/abstract_window_filter.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/button.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/folder.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/helpers.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/key.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/modelTypes.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/phrase.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/script.py
%{_prefix}/lib/python3.10/site-packages/autokey/model/store.py
%{_prefix}/lib/python3.10/site-packages/autokey/monitor.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/__init__.py


%{_prefix}/lib/python3.10/site-packages/autokey/scripting/common.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/dialog_gtk.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/dialog_qt.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/engine.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/highlevel.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/keyboard.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/mouse.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/system.py
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/window.py
%{_prefix}/lib/python3.10/site-packages/autokey/service.py

%files gtk
%{_bindir}/autokey-gtk
%{python3_sitelib}/autokey/gtkapp.py*
%{python3_sitelib}/autokey/gtkui/
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/clipboard_gtk.py
%{_datadir}/applications/autokey-gtk.desktop
%{_mandir}/man1/autokey-gtk.1*

%files qt
%{_bindir}/autokey-qt
%{python3_sitelib}/autokey/qtapp.py*
%{python3_sitelib}/autokey/qtui/
%{_prefix}/lib/python3.10/site-packages/autokey/scripting/clipboard_qt.py
%{_datadir}/applications/autokey-qt.desktop
%{_mandir}/man1/autokey-qt.1*


%changelog
* Wed Oct 12 2022 tex- 0.96.0-2pclos2022
- requires python3-packaging

* Tue Aug 23 2022 tex - 0.96.0-1pclos2022
- new version

* Tue Aug 23 2022 tex - 0.95.10-2pclos2022
- rebuild against updates

* Tue Mar 03 2020 tex - 0.95.10-1pclos2020
- new version

* Wed Feb 05 2020 tex - 0.95.9-1pclos2020
- new version

* Mon Apr 15 2019 tex 0.95.7-1pclos2019
- new version: 0.95.7

